package org.dromara.system.service;

import org.dromara.system.domain.RegisterParentsStudent;
import org.dromara.system.domain.vo.RegisterParentsStudentVo;
import org.dromara.system.domain.bo.RegisterParentsStudentBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 注册-家长-学生Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRegisterParentsStudentService {

    /**
     * 查询注册-家长-学生
     */
    RegisterParentsStudentVo queryById(Long id);

    /**
     * 查询注册-家长-学生列表
     */
    TableDataInfo<RegisterParentsStudentVo> queryPageList(RegisterParentsStudentBo bo, PageQuery pageQuery);

    /**
     * 查询注册-家长-学生列表
     */
    List<RegisterParentsStudentVo> queryList(RegisterParentsStudentBo bo);

    /**
     * 新增注册-家长-学生
     */
    Boolean insertByBo(RegisterParentsStudentBo bo);

    /**
     * 修改注册-家长-学生
     */
    Boolean updateByBo(RegisterParentsStudentBo bo);

    /**
     * 校验并批量删除注册-家长-学生信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean deleteWithValidById(RegisterParentsStudentBo bo, boolean b);
}
